Bug 5268 - Language Issue: Debarred
Summary: Language Issue: Debarred
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Nicole C. Engard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 4947
  Show dependency treegraph
 
Reported: 2010-09-29 18:10 UTC by Nicole C. Engard
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Signed-off patch (10.01 KB, patch)
2011-05-14 13:17 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-09-29 18:10:19 UTC
For those using US English, would it make more sense to change debar and debarred to 'restricted' or 'barred'?  I have to admit that I have yet to train a library where they didn't ask what 'debarred' meant and why it wasn't just 'barred'
Comment 1 Nicole C. Engard 2011-05-12 18:07:02 UTC
working on a patch right now per the chat in IRC



[14:03]  <nengard> debar is one of my pet peeves in koha ... means nothing to most of us
[14:03]  <nengard> should say 'restrict' and 'lift restriction' i think
[14:04]  * tcohen has quit (Remote host closed the connection)
[14:04]  <gmcharlt> that works
[14:05]  <nengard> if i get one more vote on that i'll fix it!! :) hehe
[14:05]  <sekjal> as I recall, it's also being used differently now (to indicate the patron cannot borrower) that it was originally intended in Koha 1.0 (to indicate this person is banned from the library!)
[14:05]  <nengard> i've hated that forever and ever
[14:05]  * oleonard votes "restrict"
[14:05]  <nengard> checking for an existing bug report ... if one isnt there i'm reporting and fixing it NOW
[14:05]  <nengard> :) hehe
[14:05]  <sekjal> I'd like to see the three flags, debarred, gonenoaddress and lostcard, removed in favour of something more robust and locally configurable
[14:06]  * gmcharlt smells new patron attributes
[14:06]  <nengard> bug 5268 ... reported by ... ME!! :)
[14:06]  <huginn> Bug http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=5268 minor, P5, ---, kyle.m.hall, NEW , Language Issue: Debarred
[14:06]  <nengard> sekjal, that's above my skillset, i'll change labels for now :) hehe
[14:06]  <fredericd> nengard: Yes, do it. I leave 'Lift Debarment' wording in Paul bug 6328 patch, not beeing able to choose an alternative...
Comment 2 Jared Camins-Esakov 2011-05-14 13:17:56 UTC
Created attachment 4115 [details] [review]
Signed-off patch
Comment 3 Chris Cormack 2011-06-06 23:29:38 UTC
Textual changes only, pushing to master please test